#!/usr/bin/perl -I/usr/sausalito/perl

use strict;
use CCE;

my $cce = new CCE();
$cce->connectuds();
$cce->authkey($ENV{CCE_USERNAME}, $ENV{CCE_SESSIONID});

close(STDERR);
open (STDERR, ">> /tmp/log");

my ($tmpfile, $oid) = @ARGV;

# get the printer object 
my ($ok, $obj) = $cce->get($oid);
if ($obj->{CLASS} ne "Printer") {
print STDERR "class wasn't a printer ...\n";
  $cce->bye("FAIL");
  exit -1;
}

my $printername = $obj->{name};

#same restrictions as in the UI page
$printername =~ s/[^a-z0-9\s_]//ig;
system("/bin/mkdir -p /etc/cobalt-ppd");
system("/bin/cp $tmpfile /etc/cobalt-ppd/$printername.ppd");

$cce->bye("SUCCESS");
exit (0);
